﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace TCUR400_AJPS
{
    public partial class FMain : Form
    {
        private EventHandler hBtnMainIdle;
        private EventHandler hBtnMainSetting;
        private EventHandler hBtnMainSettingCancel;
        private EventHandler hBtnMainSettingSave;
        private EventHandler hBtnMainSync;
        private EventHandler hBtnMainSyncCancel;
        private EventHandler hBtnMainSyncSave;

        public void InitButtonHandler()
        {
            hBtnMainIdle = new System.EventHandler(BtnMainIdle);
            hBtnMainSetting = new System.EventHandler(BtnMainSetting);
            hBtnMainSettingCancel = new System.EventHandler(BtnMainSettingCancel);
            hBtnMainSettingSave = new System.EventHandler(BtnMainSettingSave);
            hBtnMainSync = new System.EventHandler(BtnMainSync);
            hBtnMainSyncCancel = new System.EventHandler(BtnMainSyncCancel);
            hBtnMainSyncSave = new System.EventHandler(BtnMainSyncSave);
        }

        public void ChangeClickHandler(int prevScreen, int nextScreen)
        {
            switch (prevScreen)
            {
                case Screen.MAIN_IDLE:
                    btn_Main1.Click -= hBtnMainIdle;
                    btn_Main2.Click -= null;
                    btn_Main3.Click -= null;
                    btn_Main4.Click -= null;
                    btn_Main5.Click -= null;
                    btn_Main6.Click -= null;
                    break;

                case Screen.MAIN_DETAIL:
                    btn_Main1.Click -= hBtnMainIdle;
                    btn_Main2.Click -= null;
                    btn_Main3.Click -= null;
                    btn_Main4.Click -= null;
                    btn_Main5.Click -= null;
                    btn_Main6.Click -= hBtnMainSetting;
                    break;

                case Screen.MAIN_SETTING:
                    btn_Main1.Click -= hBtnMainIdle;
                    btn_Main2.Click -= null;
                    btn_Main3.Click -= null;
                    btn_Main4.Click -= hBtnMainSync;
                    btn_Main5.Click -= hBtnMainSettingCancel;
                    btn_Main6.Click -= hBtnMainSettingSave;
                    break;

                case Screen.MAIN_SYNC:
                    btn_Main1.Click -= hBtnMainIdle;
                    btn_Main2.Click -= null;
                    btn_Main3.Click -= null;
                    btn_Main4.Click -= null;
                    btn_Main5.Click -= hBtnMainSyncCancel;
                    btn_Main6.Click -= hBtnMainSyncSave;
                    break;
            }

            switch (nextScreen)
            {
                case Screen.MAIN_IDLE:
                    btn_Main1.Click += hBtnMainIdle;
                    btn_Main2.Click += null;
                    btn_Main3.Click += null;
                    btn_Main4.Click += null;
                    btn_Main5.Click += null;
                    btn_Main6.Click += null;
                    break;

                case Screen.MAIN_DETAIL:
                    btn_Main1.Click += hBtnMainIdle;
                    btn_Main2.Click += null;
                    btn_Main3.Click += null;
                    btn_Main4.Click += null;
                    btn_Main5.Click += null;
                    btn_Main6.Click += hBtnMainSetting;
                    break;

                case Screen.MAIN_SETTING:
                    btn_Main1.Click += hBtnMainIdle;
                    btn_Main2.Click += null;
                    btn_Main3.Click += null;
                    btn_Main4.Click += hBtnMainSync;
                    btn_Main5.Click += hBtnMainSettingCancel;
                    btn_Main6.Click += hBtnMainSettingSave;
                    break;

                case Screen.MAIN_SYNC:
                    btn_Main1.Click += hBtnMainIdle;
                    btn_Main2.Click += null;
                    btn_Main3.Click += null;
                    btn_Main4.Click += null;
                    btn_Main5.Click += hBtnMainSyncCancel;
                    btn_Main6.Click += hBtnMainSyncSave;
                    break;
            }
        }
    }
}
