﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace TCUR400_AJPS
{
    public partial class FMain : Form
    {
        /// <summary>
        /// 메인 버튼
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainIdle(object sender, EventArgs e)
        {
            MessageBox.Show("Home");
            screen = SetScreen(Screen.MAIN_IDLE);            
        }

        /// <summary>
        /// AI값 표기 세팅 화면
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSetting(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_SETTING);
        }

        /// <summary>
        /// AI값 표기 세팅 화면 - 취소버튼
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSettingCancel(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_DETAIL);
        }

        /// <summary>
        /// AI값 표기 세팅 화면 - 저장버튼
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSettingSave(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_DETAIL);
        }

        /// <summary>
        /// AI값 싱크 설정 화면
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSync(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_SYNC);
        }

        /// <summary>
        /// AI값 싱크 설정 화면 - 취소버튼
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSyncCancel(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_DETAIL);
        }

        /// <summary>
        /// AI값 싱크 설정 화면 - 저장버튼
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void BtnMainSyncSave(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_DETAIL);
        }

        
    }
}
